import 'package:flutter/material.dart';

class HeaderLogWidget extends StatelessWidget {
  final TextStyle style = TextStyle(fontFamily: 'Varela Round', fontSize: 20.0);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        margin: EdgeInsets.only(top: MediaQuery.of(context).size.height * 0.09),
        child: Column(
          children: <Widget>[_astrolabeLogo(), SizedBox(height: 5.0), _appTitle(context)],
        ),
      ),
    );
  }

  Widget _astrolabeLogo() {
    return Image.asset(
      "assets/astrolabe_logo.jpg",
    );
  }

  Widget _appTitle(BuildContext context) {
    return Text("AstroNotes",
        style:
            style.copyWith(color: Colors.black, fontSize: 40));
  }
}
